/*
 * Main.h - main app framework.
 */

#pragma once

// vim: set noet:			// Hard tabs.
// vim: set ts=8:			// Tab width 8.
// vim: set sw=4:			// Shift (indent) width 4.
// vim: set cino={0s:			// Braces flush with outer statement.
// vim: set cino=^1s:			// First indent 8 (add 1 shift width).

#define NEED_LOCALE

/*
 * Debugging helpers.
 */

#if defined( OS_WINDOWS )

#ifdef DEBUG
#define DbgInitMenuItems( h )		__DbgInitMenuItems( h )
#else
#define DbgInitMenuItems( h )		syntaxsafe
#endif

#ifdef DEBUG
void __DbgInitMenuItems( HMENU hmenu );
bool __DbgHandleMenuItems( HWND hwnd, UINT idm );
#endif

#endif // _WIN32_WCE

/*
 * Application-supplied external functions.
 */

#if defined( OS_WINDOWS )

extern BOOL AppInit( LPWSTR lpwzCmdLine, int cmdShow );
extern void AppCleanup();
extern BOOL AppPumpMessage( HWND hwnd = 0 );

#endif

